> ## Documentation Index
> Fetch the complete documentation index at: https://api.amlyze.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update account balance

> This section provides detailed information on the endpoints that can be used to create and manage account balances.



## OpenAPI

````yaml /api/openapi_api_adapter.json put /amlyze-ws-rest/account-balance
openapi: 3.1.0
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://{{baseUrl}}
    description: Generated server url
security:
  - bearerAuth: []
tags: []
paths:
  /amlyze-ws-rest/account-balance:
    put:
      tags:
        - account
      summary: Update account balance
      description: >-
        This section provides detailed information on the endpoints that can be
        used to create and manage account balances.
      operationId: registerAccountBalance
      requestBody:
        description: Account balance to register
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccountBalanceApi'
            examples:
              mandatory_fields:
                summary: Mandatory fields example
                value:
                  communicationNumber: COM217
                  requester: financial_institution
                  balanceType: STATEMENT_BALANCE
                  accountExtId: ORG20231117550
                  businessUnit: sandbox
                  balanceAt: '2023-09-05T08:07:34.605Z'
                  value: 11111111111
                  equivalentValue: 33333
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountBalanceResultApi'
        '400':
          description: >-
            Bad Request. The request is invalid, e.g., a mandatory field is
            missing or a value is incorrect.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAdapterErrorResponse'
              example:
                resultType: REQUEST_REJECTED
                errorCode: O001
                errorDescription: extId is mandatory
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAdapterErrorResponse'
              example:
                timestamp: '2024-05-26T16:49:50.237+00:00'
                status: 404
                error: Not Found
                path: /amlyze-ws-rest/account-balance
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAdapterErrorResponse'
              example:
                resultType: REQUEST_REJECTED
                status: 500
                error: Internal Server Error
components:
  schemas:
    AccountBalanceApi:
      properties:
        accountExtId:
          description: >-
            External account identification number used to track activity
            regarding the specific account.
          type: string
        balanceAt:
          description: Balance datetime.
          format: date-time
          type: string
        balanceType:
          description: Type of account balance.
          type: string
        businessUnit:
          description: >-
            Mandatory field for clients utilizing a multi-organizational
            solution. It serves to specify the unique identifier for the
            business unit. Business units are logical groupings of users and
            data. Each business unit can have its own set of users, permissions,
            and data access rules.
          type: string
        communicationNumber:
          description: >-
            Unique number of communication. It is used for risk assessment
            callback.
          type: string
        equivalentValue:
          description: Equivalent balance value.
          type: number
        requester:
          description: Name of the system requesting web service.
          maxLength: 100
          type: string
        value:
          description: Balance value.
          type: number
      required:
        - accountExtId
        - balanceAt
        - communicationNumber
        - requester
        - value
      type: object
    AccountBalanceResultApi:
      properties:
        resultType:
          enum:
            - REQUEST_ACCEPTED
          type: string
      type: object
    ApiAdapterErrorResponse:
      properties:
        errorCode:
          type: string
        errorDescription:
          type: string
        resultType:
          type: string
        errors:
          type: array
          items:
            type: string
        timestamp:
          type: string
        status:
          type: number
        error:
          type: string
        path:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````